%global pkg_name        Class-Simple
%global pkg_version     0.16
%global rpm_pkg_version 0.16
%global rpm_pkg_release 1.n0i.6

Summary:       Simple Object-Oriented Base Class
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SU/SULLIVAN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Class::ISA) >= 0.32
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)

Requires:      perl(Class::ISA) >= 0.32
%global perl_filter_req 'perl\\(Class::ISA\\)$'


%description
Class::Simple is a simple object-oriented base class.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README TODO


%changelog
* Thu Nov 01 2007 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.6
- version 0.16
- versioned req for Class::ISA

* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 0.15-1.n0i.5
- version 0.15

* Sat Sep 22 2007 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.4
- version 0.13

* Wed Aug 29 2007 Marius Feraru <altblue@n0i.net> - 0.11-1.n0i.3
- version 0.11

* Tue Aug 28 2007 Marius Feraru <altblue@n0i.net> - 0.09-1.n0i.2
- version 0.09

* Mon Aug 27 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.08
